// JPersist.cpp: implementation of the CJPersist class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "JPersist.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CJPersist::CJPersist(CString filename)
{
	if(filename.IsEmpty()) filename = "storage";
	
	CFileException ex;
	if(file.Open(filename,CFile::modeCreate | CFile::modeNoTruncate | CFile::modeReadWrite, &ex) != 0)
	{
		open = true;
	}
	else
	{
		ex.ReportError();
		open = false;
	}
}

CJPersist::~CJPersist()
{
	if(isOpen())
	{
		file.Close();
	}
}

CString CJPersist::Load()
{
	CString str;

	if(isOpen())
	{
		CArchive ar(&file,CArchive::load);
		
		ar.ReadString(str);
		ar.Close();
	}
	
	return str;
}

bool CJPersist::Store(CString str)
{
	if(isOpen())
	{
		CArchive ar(&file,CArchive::store);
		ar.WriteString(str);
		ar.Close();
		return true;
	}
	
	return false;
}

bool CJPersist::isOpen()
{
	return open;
}
